Subject: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Robert Pluim <[email-masked]>
Date: Thu, 31 Mar 2022 19:38:49 +0200

>>>>> On Thu, 31 Mar 2022 19:49:28 +0300, Eli Zaretskii <[email-masked]> said:
    >> I tried Meera Inmai, Noto Serif Tamil, Noto Sans Tamil, Catamaran,
    >> Kurinto Seri.  Out of which only Noto Serif and Kurinto Seri shows the
    >> problem.  Maybe it is a font issue after all? but (Ungoogled) Chromium
    >> which uses harfbuzz AFAICT renders the text just fine.

    Eli> We also render the text just fine -- until you resize it with
    Eli> text-scale-adjust.

    Eli> Anyway, according to this:

    Eli>   http://www.kurinto.com/download.htm

    Eli> Kurinto fonts are a 3.1GB download!  Is there some place where I can
    Eli> get away with downloading just the font for Tamil?

Iʼve tried here with Noto Serif Tamil and canʼt reproduce it, but Iʼm
only on harfbuzz 3.7.4. I think I have a box somewhere with 4.1.0,
Iʼll try there.

Robert
--